2023-01-30 03:34 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004646ChambersOfShaolin[All Projects] Generalpublic2023-01-27 10:23
Reporterapex 
Assigned ToStingRayProject InfoChambers of Shaolin (Thalion)
http://www.whdload.de/games/ChambersOfShaolin.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusassignedResolutionreopened 
Summary0004646: Hello, made a fresh install using the IPF image with ID 3050. Game is starting,
DescriptionGameVersion: english,pal,1 disk
SlaveVersion: 1.2

Hello,
made a fresh install using the IPF image with ID 3050.
Game is starting, intro is starting, but if you press a mouse button or a joystick button,
intro is not quitting, just restarting.
Is there a hidden key to quit intro? :-)
TagsNo tags attached.
MachineA2000
CPU68030
CPUSpeed50
ChipSetECS
GFXCardPicasso II+
ChipMem2 MB
FastMem32 MB
WorkbenchOS 3.1.4
KickROM45 - Kick 3.1.4
KickSoftNone
WHDLoad18.6beta
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0008701

StingRay (developer)

The intro can be quit by pressing space.

note ~0008728

apex (reporter)

The intro is just restarting after pressing SPACE.
Same happens pressing mouse or joystick button, intro is just restarting.

Using the old 1.0 slave, pressing keyboard, mouse or joystick will quit the
intro.

note ~0008730

StingRay (developer)

Try attached slave, does it fix the problem?

note ~0008732

apex (reporter)

Working! :-) You can play now, but...

First part of the intro (the drops & Thalion logo) can be now quit with mouse, joystick & space.
Second part of the intro (Shambers of Shaolin logo) can be only quit with space.

This should be mentioned in the readme to avoid further questions. :-) Thank you.

note ~0012324

netman63129 (reporter)

I tried using the slave 1.2 above but I am still having the same issue, cannot quit the intro with Space or any other key. I am using an A2000 w/EC020 WHDLoad 18.6, OS 2.1.

note ~0012327

Pascal De Maeseneire (reporter)

@netman63129

Hi,

Please try the attached Slave (It's a 1.21 version).

With that slave it works.
 
With Space Key, You can Quit the intro and the second part of the intro.

I tried it with :

1) my A500 ACA500Plus 68000 WB3.1 WHDLoad 18.9 Beta
2) my A1200 GVP1230 Turbo+II 68030 @ 40 Mhz Wb 3.1

Best regards,
Pascal

note ~0012328

Pascal De Maeseneire (reporter)

@netman63129

It was tested with SPS IPF 3049

http://ftp2.grandis.nu/turran/FTP/Retroplay%20WHDLoad%20Packs/Commodore_Amiga_-_WHDLoad_-_Games/C/ChambersOfShaolin_v1.2_3049.lha

You just need to update the slave with v1.21 attached slave

note ~0012376

netman63129 (reporter)

Hi Pascal, I tried with the new 1.21 Slave above but the same problem. The Space bar does not bypass the second title screen.

Sometimes I get an "Illegal Instruction $10" crash after the first title screen. I am using an NTSC A2000 so I tried the PAL tooltype but same problem.

I also tried using WinUAE and 2.04 ROM and same problem.

note ~0012383

casper30 (reporter)

Try 2.05rom.

note ~0012384

aardvark82 (reporter)

Confirming netman's report, and the issue is specific to NTSC machines with KS2.0x
PAL KS2.0x - Works
NTSC KS3.x - Works
NTSC KS2.0x - Intro repeats even with PAL WHDLoad option. Reproducible on WinUAE only when Cycle-Exact is enabled.

note ~0012385

aardvark82 (reporter)

Ok further tests shows it wasn't that simple afterall...
NTSC A1200 68020 KS3.1(rev 40.68) - Works
NTSC A600 68020 KS3.1(rev 40.63) - Intro repeats
+Notes

-Issue History
Date Modified Username Field Change
2020-05-12 17:06 administrator New Issue
2020-05-12 17:06 administrator Status new => assigned
2020-05-12 17:06 administrator Assigned To => StingRay
2020-05-14 21:59 StingRay Note Added: 0008701
2020-05-14 21:59 StingRay Status assigned => resolved
2020-05-14 21:59 StingRay Resolution open => no change required
2020-05-15 17:36 apex Status resolved => feedback
2020-05-15 17:36 apex Resolution no change required => reopened
2020-05-15 17:36 apex Note Added: 0008728
2020-05-15 18:01 StingRay File Added: ChambersOfShaolin.slave
2020-05-15 18:02 StingRay Note Added: 0008730
2020-05-15 18:20 apex Note Added: 0008732
2020-05-15 18:20 apex Status feedback => assigned
2023-01-18 03:24 netman63129 Note Added: 0012324
2023-01-18 22:34 Pascal De Maeseneire Note Added: 0012327
2023-01-18 22:43 Pascal De Maeseneire Note Added: 0012328
2023-01-27 05:51 netman63129 Note Added: 0012376
2023-01-27 07:54 casper30 Note Added: 0012383
2023-01-27 09:36 aardvark82 Note Added: 0012384
2023-01-27 10:23 aardvark82 Note Added: 0012385
+Issue History